var Forum = {};

Forum.imageList = new Array();
var defaultCallbackSeparator = '~';

Forum.init = function () {
    var lastMedia;
    //查询到所有的音视频
    var mediaList = document.querySelectorAll("audio,video");
    //遍历
    Array.prototype.forEach.call(mediaList, function (media) {
        media.addEventListener("playing", function () {
            if (lastMedia != null && lastMedia != this) {
                lastMedia.pause();
            }
            lastMedia = this;
        });
    });

//    var buyButtons = document.getElementsByTagName("section");
    var buyButtons = document.getElementsByClassName("wrap");
        Array.prototype.forEach.call(buyButtons, function (buyButton) {
            if (buyButton.nodeName == "SECTION") {
                buyButton.addEventListener("click", Forum.shoppingCallback);
            }
        });

    //遍历所有的图片
    var images = document.getElementsByTagName("img");
    if (images.length <= 0) return;

//    var arr = new Array();
    Array.prototype.forEach.call(images, function (image) {
        var className = image.className;

        if (className == "" || (className != "emoji" && className != "goods-image")){
            Forum.imageList.push(image.src);
            image.addEventListener("click", Forum.imageTapCallback);
        }
    });
//    Forum.callback('callback-image-list',arr);
}

Forum.shoppingCallback = function (ev){
    Forum.callback("callback-buy-goods",ev.currentTarget.id);
//    Forum.callback("callback-buy-goods",ev.target.id);
}

//图片点击回调
Forum.imageTapCallback = function (ev) {
//    alert(ev.target.src);
    Forum.callback2('callback-image-list', ev.target.src,Forum.imageList);
//    Forum.callback('callback-image-tap', ev.target.src);
}

//js 调用java
Forum.callback = function (callbackScheme, callbackPath) {
    nativeCallbackHandler.executeCallback(callbackScheme, callbackPath);
}

Forum.callback2 = function (callbackScheme,callbackPath,array) {
    nativeCallbackHandler.executeCallback(callbackScheme, callbackPath,array);
}

//获取除emoji 除外的所有图片
Forum.allImages = function () {
    var arr = new Array();

    var images = document.getElementsByTagName("img");
    if (images.length <= 0) return;
    Array.prototype.forEach.call(images, function (image) {

        var className = image.className;
        if (className == "" || (className != "emoji" && className != "goods-image")) {
            arr.push(image.src);
        }
    });
}

Forum.writeBody = function (bodyStr) {
    document.body.innerHTML = bodyStr;
}