var array = {};

array.imageList = [];

array.init = function () {
    var lastMedia;
    //查询到所有的音视频
    var mediaList = document.querySelectorAll("audio,video");
    //遍历
    Array.prototype.forEach.call(mediaList, function (media) {
        media.addEventListener("playing", function () {
            if (lastMedia != null && lastMedia != this) {
                lastMedia.pause();
            }
            lastMedia = this;
        });
    });

    var images = document.getElementsByTagName("img");
    if (images.length <= 0) return;

    //遍历所有的图片
    Array.prototype.forEach.call(images, function (image) {

        image.removeAttribute('style');
        image.removeAttribute('width');
        image.removeAttribute('height');
        image.style.margin = '0 auto';
        image.style.width = '100%';
        //block解决部分图片受父控件影响不居中的问题
        image.style.display = 'block';
        //所有的图片
        array.imageList.push(image.src);
        image.addEventListener("click", function (ev) {
            onImageClick(array.imageList, ev.target.src)
        });
    });
}

function onImageClick(imgList, _url) {
    nativeCallbackHandler.executeCallback("callback-image-list", _url, imgList);
}